Name:           newlisp
Version:        10.3.2
Release:        3%{?dist}
Summary:        Lisp-like general purpose scripting

License:        GPLv3+
URL:            http://www.newlisp.org
Source0:        http://www.newlisp.org/downloads/%{name}-%{version}.tgz
Source1:	http://www.newlisp.org/downloads/development/inprogress/newlispdoc.1
Patch2:         newlisp-0002-Allow-to-override-CFLAGS.patch
Patch3:         newlisp-0003-Don-t-strip-the-resulting-binary.patch
BuildRequires:  readline-devel  
       

%description
Lisp-like general purpose scripting language. %{name} is well suited for 
applications in AI, web search. It also can be used for embedded systems
applications.

%prep
%setup -q
#Install fixed Man page
install -Dm644 %{SOURCE1} doc/newlispdoc.1

#Non-exec file has shebang
sed -i 's|#!/usr/bin/newlisp||g' modules/json.lsp
sed -i 's|#!/usr/bin/newlisp||g' util/syntax.cgi

# Allow to override CFLAGS (Fedora-specific mostly)
%patch2 -p1 -b .override_cflags
# Don't strip the resulting binary (Fedora-specific)
%patch3 -p1 -b .dont_strip


%build
%configure
# -pedantic -Wno-strict-aliasing -Wno-long-long
CFLAGS="%{optflags} -c -DREADLINE -DSUPPORT_UTF8 -DLINUX" make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install_home HOME=%{buildroot}/usr/


%files
%doc %{_datadir}/doc/*
%doc %{_datadir}/%{name}/init.lsp.example
%{_bindir}/%{name}
%{_bindir}/newlispdoc
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/util



%changelog
* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-3
- Updated License field to the correct license
* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-2
- Added fixed Man page from SCM 
* Thu Jul 21 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-1
- Initial package
